%define major 2
%define libname %mklibname mp4v2_ %major
%define develname %mklibname -d mp4v2
%define olddevelname %mklibname -d mpeg4ip
%define oname mp4v2

Summary: Library for working with files using the mp4 container format
Name: libmp4v2
Version: 2.0.0
Release: %mkrel 3
Epoch: 1
License: MPLv1.1
Group: System/Libraries
URL: http://code.google.com/p/mp4v2/
Source0: http://mp4v2.googlecode.com/files/%oname-%version.tar.bz2

%description
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.


%package -n %libname
Group: System/Libraries
Summary: Library for working with files using the mp4 container format

%description -n %libname
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.

%package -n %develname
Summary: Development files for the mp4v2 library
Group: Development/C++
Requires: %{libname} = %epoch:%{version}-%{release}
Provides: libmp4v2-devel = %epoch:%{version}-%{release}
Conflicts: %olddevelname < 1.6.1-0.20070928.3

%description -n %develname
Development files and documentation needed to develop and compile programs
using the libmp4v2 library.

%package utils
Group: Sound/Utilities
Summary: Command line utils to handle MP4 metadata
Conflicts: mpeg4ip < 1.6.1-0.20070928.3

%description utils
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.

This contains the command line example utilities.

%prep
%setup -q -n %oname-%version

%build
%configure2_5x \
    --disable-static \
    --disable-dependency-tracking
%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_mandir}/manm/ %{buildroot}%{_libdir}/*.la

%files utils
%doc COPYING
%{_bindir}/*

%files -n %libname
%doc COPYING
%{_libdir}/libmp4v2.so.%{major}*

%files -n %develname
%doc doc/*.txt
%{_includedir}/mp4v2/
%{_libdir}/*.so
%{_mandir}/man?/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:2.0.0-3.mga3
+ Revision: 357797
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 1:2.0.0-2.mga3
+ Revision: 323413
- clean spec
- fix rpm group

* Sat Jun 16 2012 fwang <fwang> 1:2.0.0-1.mga3
+ Revision: 260989
- new version 2.0.0

* Wed Jan 19 2011 ahmad <ahmad> 1:1.9.1-4.mga1
+ Revision: 24993
- drop old/unneeded scriptlets
- imported package libmp4v2

